package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFundAssetDO;
import com.simuwang.base.pojo.dto.query.ParseDetailPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailFundAssetMapper {

    void batchInsert(@Param("itemDoList") List<EmailFundAssetDO> emailFundAssetDOList);

    List<EmailFundAssetDO> searchAssetDetail(ParseDetailPageQuery parseDetailPageQuery);

    long countAssetDetail(ParseDetailPageQuery parseDetailPageQuery);

    void deleteByFileId(@Param("fileId") Integer fileId);
}
