package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFundNavDO;
import com.simuwang.base.pojo.dto.query.ParseDetailPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailFundNavMapper {

    void batchInsert(@Param("itemDoList") List<EmailFundNavDO> emailFundNavDOList);

    List<EmailFundNavDO> searchNavDetail(ParseDetailPageQuery parseDetailPageQuery);

    long countNavDetail(ParseDetailPageQuery parseDetailPageQuery);

    void deleteByFileId(@Param("fileId") Integer fileId);
}
