package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.util.List;

@Data
public class EmailFundNavDTO {
    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private String nav;
    /**
     * 累计单位净值
     */
    private String cumulativeNavWithdrawal;
    /**
     * 虚拟净值
     */
    private String virtualNav;
    /**
     * 资产份额
     */
    private String assetShare;
    /**
     * 资产净值(基金规模)
     */
    private String assetNet;
    /**
     * 匹配上的基金id
     */
    private List<String> fundIdList;
    /**
     * 解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
     */
    private Integer parseStatus;
}
