package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: CompanyEmailConfigDO
 * Author:   chenjianhua
 * Date:     2024/9/7 12:45
 * Description: ${DESCRIPTION}
 */
@Data
public class CompanyEmailConfigVO {
    /**
     * ID
     */
    private Integer id;
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 是否开启，1-开启，0-关闭
     */
    private Integer openStatus;
    /**
     * 备注信息
     */
    private String remark;

}
