package com.simuwang.base.pojo.vo.sys;

import com.simuwang.base.common.support.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * FileName: SysUserVO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Setter
@Getter
public class SysUserVO extends BaseVO {
    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 用户性别
     */
    private Integer sex;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 密码
     */
    private String password;
    /**
     * 帐号状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    private Integer creatorId;
    private Date createTime;

    @Override
    public Integer getId() {
        return this.userId;
    }
}
