package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.EmailPageQuery;
import com.simuwang.base.pojo.vo.MailboxInfoTableVO;
import com.simuwang.base.pojo.vo.MailboxInfoVO;

import java.util.List;

/**
 * FileName: EmailConfigService
 * Author:   chenjianhua
 * Date:     2024/9/9 13:40
 * Description: ${DESCRIPTION}
 */
public interface EmailConfigService {
    MybatisPage<MailboxInfoTableVO> searchEmailConfigList(EmailPageQuery emailPageQuery);

    void saveEmailConfig(MailboxInfoVO mailboxInfoVO);

    String connectTest(MailboxInfoVO mailboxInfoVO);

    void deleteEmailConfig(List<Integer> idList);

    boolean checkEmailUnique(String email);
}
