package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class EmailParseDetailVO {
    /**
     * 邮件解析的基金名称
     */
    private String fundId;
    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private BigDecimal nav;
    /**
     * 累计单位净值
     */
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 资产份额
     */
    private BigDecimal assetShare;
    /**
     * 资产净值(基金规模)
     */
    private BigDecimal assetNet;

}