package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: FundReportFrequency
 * Author:   chenjianhua
 * Date:     2024/9/6 14:21
 * Description: ${DESCRIPTION}
 */
@Data
public class FundReportFrequencyVO {
    /**
     * 基金ID，批量保存的时候使用逗号隔开
     */
    private String fundId;
    /**
     * 净值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer navFrequency;
    /**
     * 规模报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer assetFrequency;
    /**
     * 频率备注
     */
    private Integer frequencyRemark;
}
